using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace Domain
{
    public class RoomTypeScene
    {
        #region Private Properties

        private string _icon = "Images/app/cj/common.png";

        #endregion

        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
        /// <summary>
        /// 房型
        /// </summary>
        public virtual RoomType RoomType
        {
            get;
            set;
        }

        public virtual SceneType Type
        {
            get;
            set;
        }

        /// <summary>
        /// 场景英文名称
        /// </summary>
        public virtual string EnglishName
        {
            get;
            set;
        }
        /// <summary>
        /// 场景繁体名称
        /// </summary>
        public virtual string TWName
        {
            get;
            set;
        }

        /// <summary>
        /// 场景名称
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }

        /// <summary>
        /// 场景图标
        /// </summary>
        public virtual string Icon
        {
            get { return this._icon; }
            set { this._icon = value; }
        }



        /// <summary>
        /// 组地址
        /// </summary>
        public virtual string GroupAddress
        {
            get;
            set;
        }


        /// <summary>
        /// AppApply
        /// </summary>
        public virtual bool AppApply
        {
            get;
            set;
        }

        /// <summary>
        /// 排序
        /// </summary>
        public virtual int Sort
        {
            get;
            set;
        }
        /// <summary>
        /// 启用
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 取反
        /// </summary>
        public virtual bool TakeInverse
        {
            get;
            set;
        }
        /// <summary>
        /// 别名
        /// </summary>
        public virtual string AliasName
        {
            get;
            set;
        }
    }

    /// <summary>
    /// 场景类型
    /// </summary>
    public enum SceneType
    {
        /// <summary>
        /// 自定义场景
        /// </summary>
        [Description("自定义场景")]
        Custom = 0,

        /// <summary>
        /// 指令场景，由配置软件配置
        /// </summary>
        [Description("指令场景")]
        Command = 1
    }
}
